Форум программистов, компьютерный форум, киберфорум
Наши страницы
Программирование Android
Войти
Регистрация
Восстановить пароль
 
SteveJobs
0 / 0 / 0
Регистрация: 25.04.2016
Сообщений: 48
#1

На какой платформе пойдет мое приложение? - Программирование Android

04.07.2016, 15:35. Просмотров 269. Ответов 5
Метки нет (Все метки)

У меня есть приложение в котором использовался GridLayout. Его использование возможно, только с android 4.0 Теперь я его убрал и возможно мое приложение пойдет на более старых моделях. Нет ли сервисов, которые помогут это узнать, так что бы загружаешь apk и тебе выдают минимальную версию android (может даже системные требования), или как-то по другому.
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
04.07.2016, 15:35
Я подобрал для вас темы с готовыми решениями и ответами на вопрос На какой платформе пойдет мое приложение? (Программирование Android):

Можна ли узнать на какой платформе было написано приложение?
Могу ли я вычислить платформу написания приложения ERIM Ukraine 103?

Установка apk приложений через мое приложение
Всем привет народ. Есть вопрос возможно ли в андроид создать приложение которое...

Из-за какой-то ошибки вылетает приложение
При нажатии на кнопку button9 (функция changeWay) происходит какая-то ошибка и...

Пойдет ли видеокарта GeForce GT520 на мое железо?
Здравствуйте у меня материнская плата - Gigabyte 8I945GZME-RH, PCI-E x16,...

Мое первое приложение на ассемблере
Здравствуйте. Как исправить эти ошибки? Менял windows.inc, то же самое. ...

Как защитить мое приложение?
Здравствуйте! Скажите как защитить созданное мною приложение от взлома и кражи...

5
Pablito
2644 / 2126 / 725
Регистрация: 12.05.2014
Сообщений: 7,433
Завершенные тесты: 1
04.07.2016, 15:38 #2
https://developer.android.com/guide/...k-element.html
1
androbro
340 / 301 / 67
Регистрация: 17.10.2014
Сообщений: 887
04.07.2016, 16:58 #3
Цитата Сообщение от SteveJobs Посмотреть сообщение
я его убрал и возможно мое приложение пойдет на более старых моделях.
зачем убирать, для этих целей есть support library
добавьте данную зависимость в проект и будет вам счастье
XML
1
com.android.support:gridlayout-v7:23.3.0
1
SteveJobs
0 / 0 / 0
Регистрация: 25.04.2016
Сообщений: 48
04.07.2016, 21:39  [ТС] #4
Паблито, мне android studio подсказывает что лучше это делать в gradle. А что там ставить, если я не знаю, на какой минимальной версии android пойдет приложение?

Добавлено через 1 минуту
androbro, да это как-то не специально вышло, но как понять на какой версии android пойдет приложение, а на какой нет?
0
Lumber
295 / 100 / 41
Регистрация: 02.12.2015
Сообщений: 241
05.07.2016, 03:56 #5
В Android Studio есть анализатор кода который покажет предупреждения если есть несовместимости с выбранной в настройках проекта минимальной версией API.

Analize->Inspect Code
(но он и при компиляции запускается вроде).
1
SteveJobs
0 / 0 / 0
Регистрация: 25.04.2016
Сообщений: 48
06.07.2016, 11:58  [ТС] #6
androbro,Скажите, пожалуйста, это не скажется на размере и быстродействии?
0
06.07.2016, 11:58
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
06.07.2016, 11:58
Привет! Вот еще темы с решениями:

Мое приложение Direct3D 11 не запускается
Здраствуйте! Я программирую на С++ с ипользованием Direct3D около двух месяцев...

События Linux и мое приложение
Всем ку!) Не знаю, как грамотно выразить в технических терминах, скажу на...

Отследить перетаскивание файлов в мое приложение
Господа как реализовать перетаскивание файлов , приведу пример для более...

Rate my app - оцените мое приложение
Добрый день. везде в интернете один и тот же исходник. openURL:]; ...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
6
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2018, vBulletin Solutions, Inc.
Рейтинг@Mail.ru